View Issue Details

IDProjectCategoryView StatusLast Update
0016364LazarusIDEpublic2011-12-01 11:25
ReporterGraeme GeldenhuysAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSUbuntu LinuxOS Version8.04.2
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0016364: Incorrect highlighting of variable declaration
DescriptionIf the variable name is 'deprecated', then the source highlighter, highlights it as if it is a hint directive instead of an identifier.

See code below and attached screenshot.

-----------------------------
unit test2;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils;

var
  a: integer deprecated; // correct
  deprecated: boolean; // wrong

implementation

end.
     
-----------------------------
TagsNo tags attached.
Fixed in Revision27983
LazTarget1.0
Widgetset
Attached Files

Activities

2010-04-29 15:29

 

syntax_highlighter.png (2,467 bytes)
syntax_highlighter.png (2,467 bytes)

Martin Friebe

2010-10-30 20:09

manager   ~0042450

improved in rev 27980

tested with

unit abc;
interface
var deprecated: deprecated deprecated; // only last one
var foo, deprecated: deprecated deprecated; // only last one
type deprecated = deprecated deprecated; // only last one
function(deprecated: deprecated): deprecated; deprecated; // only last one

TFoo= class
  deprecated: deprecated deprecated; // only last one
  function(deprecated: deprecated): deprecated; deprecated; // only last one
  property deprecated[deprecated: deprecated]: deprecated
    read deprecated write deprecated
    default deprecated; deprecated; // only last one
public
  deprecated: deprecated deprecated; // only last one
  function(deprecated: deprecated): deprecated; deprecated; // only last one
  property deprecated[deprecated: deprecated]: deprecated
    read deprecated write deprecated
    default deprecated; deprecated; // only last one
end

implementation
var deprecated: deprecated deprecated; // only last one
    foo, deprecated: deprecated deprecated; // only last one
type deprecated = deprecated deprecated; // only last one

function(deprecated: deprecated): deprecated; deprecated; // only last one
type deprecated = deprecated deprecated; // only last one
var deprecated: deprecated deprecated; // only last one
    foo, deprecated: deprecated deprecated; // only last one
begin
end;



in classes only code according to current fpc, with all members before procedures, or properties is supported


-------------
Please close if ok.
Or feel free to point out any other not yet supported cases

Issue History

Date Modified Username Field Change
2010-04-29 15:29 Graeme Geldenhuys New Issue
2010-04-29 15:29 Graeme Geldenhuys File Added: syntax_highlighter.png
2010-04-30 11:57 Martin Friebe Status new => assigned
2010-04-30 11:57 Martin Friebe Assigned To => Martin Friebe
2010-10-30 20:09 Martin Friebe Fixed in Revision => 27983
2010-10-30 20:09 Martin Friebe LazTarget => 1.0
2010-10-30 20:09 Martin Friebe Status assigned => resolved
2010-10-30 20:09 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-10-30 20:09 Martin Friebe Resolution open => fixed
2010-10-30 20:09 Martin Friebe Note Added: 0042450
2010-10-30 20:09 Martin Friebe Target Version => 0.9.30
2011-12-01 11:25 Marc Weustink Status resolved => closed